Loading...
Searching...
No Matches
Ogre::OctreeZoneFactory Class Reference
Plugins » OctreeZone

Factory for OctreeZone. More...

`#include <OgreOctreeZone.h>`

Inheritance diagram for Ogre::OctreeZoneFactory:
[legend]

## Public Member Functions

| OctreeZoneFactory ()
virtual | ~OctreeZoneFactory ()
PCZone * | createPCZone (PCZSceneManager *pczsm, const String &zoneName) override
bool | supportsPCZoneType (const String &zoneType) override
Public Member Functions inherited from Ogre::PCZoneFactory
| PCZoneFactory (const String &typeName)
virtual | ~PCZoneFactory ()
const String & | getFactoryTypeName () const

## Additional Inherited Members

Public Attributes inherited from Ogre::PCZoneFactory
String | mFactoryTypeName
| Factory type name.

## Detailed Description

Factory for OctreeZone.

## Constructor & Destructor Documentation

## OctreeZoneFactory()

Ogre::OctreeZoneFactory::OctreeZoneFactory | ( |  | ) |

## ~OctreeZoneFactory()

virtual Ogre::OctreeZoneFactory::~OctreeZoneFactory | ( |  | ) |

virtual

## Member Function Documentation

## supportsPCZoneType()

bool Ogre::OctreeZoneFactory::supportsPCZoneType | ( | const String & | zoneType | ) |

override virtual

Implements Ogre::PCZoneFactory.

## createPCZone()

PCZone * Ogre::OctreeZoneFactory::createPCZone | ( | PCZSceneManager * | pczsm,
|  | const String & | zoneName )

override virtual

Implements Ogre::PCZoneFactory.

The documentation for this class was generated from the following file:

- OgreOctreeZone.h